std::hash< error_condition > Struct Reference

`#include <system_error>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const error_condition &__e) const noexcept

## Detailed Description

std::hash specialization for error_condition.

Definition at line 624 of file system_error.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

size_t std::hash< error_condition >::operator() | ( | const error_condition & | __e | ) | const

inline noexcept

Definition at line 628 of file system_error.

The documentation for this struct was generated from the following file:

- system_error